summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Mylchreest <johnm@gentoo.org>2006-05-08 14:18:04 +0000
committerJohn Mylchreest <johnm@gentoo.org>2006-05-08 14:18:04 +0000
commitfdf33dce44aed04ba86228e2c954bf018f5dc3c0 (patch)
tree9c607f68f3497b1665fe8fa91adcfeedeb7e15f4 /eclass/kernel-2.eclass
parentMoving gnome-base/gnome-mount mask to the proper places, bad weeve! (diff)
downloadhistorical-fdf33dce44aed04ba86228e2c954bf018f5dc3c0.tar.gz
historical-fdf33dce44aed04ba86228e2c954bf018f5dc3c0.tar.bz2
historical-fdf33dce44aed04ba86228e2c954bf018f5dc3c0.zip
close bug #132152, make defconfig requires working linux-headers to succeed, but we dont need to succeed to actually install.
Diffstat (limited to 'eclass/kernel-2.eclass')
-rw-r--r--eclass/kernel-2.eclass21
1 files changed, 16 insertions, 5 deletions
diff --git a/eclass/kernel-2.eclass b/eclass/kernel-2.eclass
index 4b140dbb38ba..da0a37dccadd 100644
--- a/eclass/kernel-2.eclass
+++ b/eclass/kernel-2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v 1.176 2006/05/06 17:57:16 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v 1.177 2006/05/08 14:18:04 johnm Exp $
# Description: kernel.eclass rewrite for a clean base regarding the 2.6
# series of kernel with back-compatibility for 2.4
@@ -356,10 +356,21 @@ unpack_2_6() {
# this file is required for other things to build properly, so we
# autogenerate it ... generate a .config to keep version.h build from
# spitting out an annoying warning
- make -s mrproper ${xmakeopts} 2>/dev/null || die "make mrproper failed"
- make -s defconfig ${xmakeopts} &>/dev/null 2>&1 || die "make defconfig failed"
- make -s include/linux/version.h ${xmakeopts} || die "make include/linux/version.h failed"
- rm -f .config
+ make -s mrproper ${xmakeopts} 2>/dev/null \
+ || die "make mrproper failed"
+
+ # quick fix for bug #132152 which triggers when it cannot include linux
+ # headers (ie, we have not installed it yet)
+ if ! (make -s defconfig ${xmakeopts} &>/dev/null 2>&1); then
+ touch .config
+ eerror "make defconfig failed."
+ eerror "assuming you dont have any headers installed yet and continuing"
+ epause 5
+ fi
+
+ make -s include/linux/version.h ${xmakeopts} 2>/dev/null \
+ || die "make include/linux/version.h failed"
+ rm -f .config >/dev/null
}
universal_unpack() {